<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Mailbox Driver</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li class="current"><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Mailbox Driver </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p>The Mailbox driver simplifies reading and writing to the Mailbox peripherals on the board with multiple modes of operation and performance. These include blocking, non-blocking, callback. Throughout this document the term <b>local endpoint</b> refers to the subsystem that instantiates the mailbox driver. The term <b>remote endpoint</b> refers to the subsystem that communicates to the local endpoint through the mailbox instance.<br />
 The application initializes the Mailbox driver by calling <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad110d05631bfcefdddebb6989812efb5" title="Function to initialize the Mailbox module.  It must be called only once per local endpoint...">Mailbox_init()</a> and it is then ready to open a Mailbox instance to a remote endpoint by calling <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadf714280d09ff28cc6f95c1ceb9fa790" title="Function to initialize an instance of the mailbox driver. ">Mailbox_open()</a>. Once the mailbox instance is open, read and write operations can be performed.<br />
 The Mailbox header file should be included in an application as follows: </p><div class="fragment"><div class="line"><span class="preprocessor">#include &lt;<a class="code" href="mailbox_8h.html">ti/drivers/mailbox/mailbox.h</a>&gt;</span></div></div><!-- fragment --><p>The <a class="el" href="reg__mailbox_8h.html" title="This file gives register definitions of MAILBOX module. ">mailbox/include/reg_mailbox.h</a> has the register layer definitions for the Mailbox Module.</p>
<h2>Initializing the driver</h2>
<p>The Mailbox Driver needs to be initialized once per master (MSS or DSS). This is done using the <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad110d05631bfcefdddebb6989812efb5" title="Function to initialize the Mailbox module.  It must be called only once per local endpoint...">Mailbox_init</a>. None of the Mailbox APIs can be used before invoking this API.</p>
<h2>Opening the driver</h2>
<p>Once the Mailbox Driver has been initialized, the Mailbox Driver instance can be opened using the <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadf714280d09ff28cc6f95c1ceb9fa790" title="Function to initialize an instance of the mailbox driver. ">Mailbox_open</a>. <br />
For <b>XWR14xx:</b> <br />
Between MSS&lt;-&gt;BSS only one instance of the driver can be opened.<br />
 Note that the mailbox driver is instantiated in the MSS only. In the BSS, the BSS firmware handles the mailbox operations.<br />
For <b>XWR16xx:</b> <br />
Between MSS&lt;-&gt;BSS only one instance of the driver can be opened.<br />
Note that the mailbox driver is instantiated in the MSS only. In the BSS, the BSS firmware handles the mailbox operations.<br />
Between DSS&lt;-&gt;BSS only one instance of the driver can be opened.<br />
Note that the mailbox driver is instantiated in the DSS only. In the BSS, the BSS firmware handles the mailbox operations.<br />
Between MSS&lt;-&gt;DSS multiple instances of the driver can be opened (each instance controls one virtual channel).<br />
Note that the mailbox driver is instantiated both in the MSS and DSS.<br />
</p>
<p><b>Example 1:<br />
 </b> The example below applies for <b>XWR14xx</b> and <b>XWR16xx</b> SoCs.<br />
 Following is pseudo code for opening the Mailbox driver for MSS to talk to BSS.<br />
 In this example the mailbox write mode is set to be polling and mailbox read mode is set to be callback.</p>
<div class="fragment"><div class="line"><a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac7f59f1473cd97e25d4f6b01b8af8c5d">Mbox_Handle</a>  handle;</div><div class="line">int32_t         errCode;</div><div class="line"><a class="code" href="struct_mailbox___config__t.html">Mailbox_Config</a>  cfg;</div><div class="line"></div><div class="line"><a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad110d05631bfcefdddebb6989812efb5">Mailbox_init</a>(<a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga3fd8433860dbf1ce1d5692461a8603eeaaea27598df8547f8d247e7df10844ae9">MAILBOX_TYPE_MSS</a>);</div><div class="line"></div><div class="line"><span class="keywordflow">if</span>(<a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafb11aa98776b93b1bff62d60a9143bd4">Mailbox_Config_init</a>(&amp;cfg) &lt; 0)</div><div class="line">{</div><div class="line">    Error: Unable to initialize configuration</div><div class="line">}</div><div class="line"></div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#aa84a4441d7bf047b23de0440b2c9f970">writeMode</a>    = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga25c5d7080b2c68bffeab4e640b2322e7a0961d38b1b8a3a5339868dbbbe65f00b">MAILBOX_MODE_POLLING</a>;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#aae8d9f602e134ed00779491b26c27446">readMode</a>     = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga25c5d7080b2c68bffeab4e640b2322e7ae840939c0ce8f9bed7febad7564587bb">MAILBOX_MODE_CALLBACK</a>;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#af3792db0d25312c9c14254b4cfd4df29">readCallback</a> = myApp_mboxCallbackFxn;</div><div class="line"></div><div class="line">handle = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadf714280d09ff28cc6f95c1ceb9fa790">Mailbox_open</a>(<a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga3fd8433860dbf1ce1d5692461a8603eea4a9169f2a1de1532fbd70b661ebbc2aa">MAILBOX_TYPE_BSS</a>, &amp;cfg, &amp;errCode);</div><div class="line"></div><div class="line"><span class="keywordflow">if</span>((handle == NULL) || (errCode != 0))</div><div class="line">{</div><div class="line">    Error: Unable to open mailbox between MSS and BSS.</div><div class="line">}</div></div><!-- fragment --><p><b>Example 2:<br />
 </b> The example below applies for <b>XWR16xx</b> SoC only.<br />
 Following is pseudo code for opening the Mailbox driver for MSS to talk to DSS.<br />
 In this example the mailbox write mode is set to be polling and mailbox read mode is set to be callback. Also, in this example, MSS and DSS applications are using multi-channels to communicate and the specific channels used in this case have ID MAILBOX_CH_ID_0 and MAILBOX_CH_ID_1.<br />
 Note that both endpoints need to use the same ID so that the channels are connected correctly.<br />
 Note that all mailbox channels are bi-directional. In this example, 2 bi-directional channels are open to show the configuration of multiple mailbox channels.</p>
<p>The following code runs on MSS:</p>
<div class="fragment"><div class="line"><a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac7f59f1473cd97e25d4f6b01b8af8c5d">Mbox_Handle</a>  handle[2];</div><div class="line">int32_t         errCode;</div><div class="line"><a class="code" href="struct_mailbox___config__t.html">Mailbox_Config</a>  cfg;</div><div class="line"></div><div class="line"><a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad110d05631bfcefdddebb6989812efb5">Mailbox_init</a>(<a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga3fd8433860dbf1ce1d5692461a8603eeaaea27598df8547f8d247e7df10844ae9">MAILBOX_TYPE_MSS</a>);</div><div class="line"></div><div class="line"><span class="keywordflow">if</span>(<a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafb11aa98776b93b1bff62d60a9143bd4">Mailbox_Config_init</a>(&amp;cfg) &lt; 0)</div><div class="line">{</div><div class="line">    Error: Unable to initialize configuration</div><div class="line">}</div><div class="line"></div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#aa84a4441d7bf047b23de0440b2c9f970">writeMode</a>    = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga25c5d7080b2c68bffeab4e640b2322e7a0961d38b1b8a3a5339868dbbbe65f00b">MAILBOX_MODE_POLLING</a>;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#aae8d9f602e134ed00779491b26c27446">readMode</a>     = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga25c5d7080b2c68bffeab4e640b2322e7ae840939c0ce8f9bed7febad7564587bb">MAILBOX_MODE_CALLBACK</a>;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#af3792db0d25312c9c14254b4cfd4df29">readCallback</a> = myApp_mboxCallbackFxn_MSS_ch0;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#a0cc2430f200fddc6c765bdb9fcd16c71">chType</a>       = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ggacc846aad9f1e171d503751b7c1de3451a594cec53365f6806d0f702206cce1f98">MAILBOX_CHTYPE_MULTI</a>;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#a59d38c72c27cd3ae069660658f1db038">chId</a>         = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga39afb53a3aef9f10301e6ad9b7ed5e39ac893de01928877462c1c07ee512eff60">MAILBOX_CH_ID_0</a>;</div><div class="line"></div><div class="line">handle[0] = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadf714280d09ff28cc6f95c1ceb9fa790">Mailbox_open</a>(<a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga3fd8433860dbf1ce1d5692461a8603eeafee1264504d1ecdd19bde3698e27c947">MAILBOX_TYPE_DSS</a>, &amp;cfg, &amp;errCode);</div><div class="line"></div><div class="line"><span class="keywordflow">if</span>((handle == NULL) || (errCode != 0))</div><div class="line">{</div><div class="line">    Error: Unable to open mailbox channel 0 between MSS and DSS.</div><div class="line">}</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#aa84a4441d7bf047b23de0440b2c9f970">writeMode</a>    = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga25c5d7080b2c68bffeab4e640b2322e7a0961d38b1b8a3a5339868dbbbe65f00b">MAILBOX_MODE_POLLING</a>;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#aae8d9f602e134ed00779491b26c27446">readMode</a>     = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga25c5d7080b2c68bffeab4e640b2322e7ae840939c0ce8f9bed7febad7564587bb">MAILBOX_MODE_CALLBACK</a>;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#af3792db0d25312c9c14254b4cfd4df29">readCallback</a> = myApp_mboxCallbackFxn_MSS_ch1;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#a0cc2430f200fddc6c765bdb9fcd16c71">chType</a>       = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ggacc846aad9f1e171d503751b7c1de3451a594cec53365f6806d0f702206cce1f98">MAILBOX_CHTYPE_MULTI</a>;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#a59d38c72c27cd3ae069660658f1db038">chId</a>         = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga39afb53a3aef9f10301e6ad9b7ed5e39a5a6b70ffbbda9ac778c1642af0da6e72">MAILBOX_CH_ID_1</a>;</div><div class="line"></div><div class="line">handle[1] = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadf714280d09ff28cc6f95c1ceb9fa790">Mailbox_open</a>(<a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga3fd8433860dbf1ce1d5692461a8603eeafee1264504d1ecdd19bde3698e27c947">MAILBOX_TYPE_DSS</a>, &amp;cfg, &amp;errCode);</div><div class="line"></div><div class="line"><span class="keywordflow">if</span>((handle == NULL) || (errCode != 0))</div><div class="line">{</div><div class="line">    Error: Unable to open mailbox channel 1 between MSS and DSS.</div><div class="line">}</div></div><!-- fragment --><p>The following code runs on DSS:</p>
<div class="fragment"><div class="line"><a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac7f59f1473cd97e25d4f6b01b8af8c5d">Mbox_Handle</a>  handle[2];</div><div class="line">int32_t         errCode;</div><div class="line"><a class="code" href="struct_mailbox___config__t.html">Mailbox_Config</a>  cfg;</div><div class="line"></div><div class="line"><a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad110d05631bfcefdddebb6989812efb5">Mailbox_init</a>(<a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga3fd8433860dbf1ce1d5692461a8603eeafee1264504d1ecdd19bde3698e27c947">MAILBOX_TYPE_DSS</a>);</div><div class="line"></div><div class="line"><span class="keywordflow">if</span>(<a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafb11aa98776b93b1bff62d60a9143bd4">Mailbox_Config_init</a>(&amp;cfg) &lt; 0)</div><div class="line">{</div><div class="line">    Error: Unable to initialize configuration</div><div class="line">}</div><div class="line"></div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#aa84a4441d7bf047b23de0440b2c9f970">writeMode</a>    = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga25c5d7080b2c68bffeab4e640b2322e7a0961d38b1b8a3a5339868dbbbe65f00b">MAILBOX_MODE_POLLING</a>;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#aae8d9f602e134ed00779491b26c27446">readMode</a>     = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga25c5d7080b2c68bffeab4e640b2322e7ae840939c0ce8f9bed7febad7564587bb">MAILBOX_MODE_CALLBACK</a>;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#af3792db0d25312c9c14254b4cfd4df29">readCallback</a> = myApp_mboxCallbackFxn_DSS_ch0;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#a0cc2430f200fddc6c765bdb9fcd16c71">chType</a>       = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ggacc846aad9f1e171d503751b7c1de3451a594cec53365f6806d0f702206cce1f98">MAILBOX_CHTYPE_MULTI</a>;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#a59d38c72c27cd3ae069660658f1db038">chId</a>         = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga39afb53a3aef9f10301e6ad9b7ed5e39ac893de01928877462c1c07ee512eff60">MAILBOX_CH_ID_0</a>;</div><div class="line"></div><div class="line">handle[0] = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadf714280d09ff28cc6f95c1ceb9fa790">Mailbox_open</a>(<a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga3fd8433860dbf1ce1d5692461a8603eeaaea27598df8547f8d247e7df10844ae9">MAILBOX_TYPE_MSS</a>, &amp;cfg, &amp;errCode);</div><div class="line"></div><div class="line"><span class="keywordflow">if</span>((handle == NULL) || (errCode != 0))</div><div class="line">{</div><div class="line">    Error: Unable to open mailbox channel 0 between DSS and MSS.</div><div class="line">}</div><div class="line"></div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#aa84a4441d7bf047b23de0440b2c9f970">writeMode</a>    = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga25c5d7080b2c68bffeab4e640b2322e7a0961d38b1b8a3a5339868dbbbe65f00b">MAILBOX_MODE_POLLING</a>;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#aae8d9f602e134ed00779491b26c27446">readMode</a>     = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga25c5d7080b2c68bffeab4e640b2322e7ae840939c0ce8f9bed7febad7564587bb">MAILBOX_MODE_CALLBACK</a>;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#af3792db0d25312c9c14254b4cfd4df29">readCallback</a> = myApp_mboxCallbackFxn_DSS_ch1;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#a0cc2430f200fddc6c765bdb9fcd16c71">chType</a>       = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ggacc846aad9f1e171d503751b7c1de3451a594cec53365f6806d0f702206cce1f98">MAILBOX_CHTYPE_MULTI</a>;</div><div class="line">cfg.<a class="code" href="struct_mailbox___config__t.html#a59d38c72c27cd3ae069660658f1db038">chId</a>         = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga39afb53a3aef9f10301e6ad9b7ed5e39a5a6b70ffbbda9ac778c1642af0da6e72">MAILBOX_CH_ID_1</a>;</div><div class="line"></div><div class="line">handle[1] = <a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadf714280d09ff28cc6f95c1ceb9fa790">Mailbox_open</a>(<a class="code" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gga3fd8433860dbf1ce1d5692461a8603eeaaea27598df8547f8d247e7df10844ae9">MAILBOX_TYPE_MSS</a>, &amp;cfg, &amp;errCode);</div><div class="line"></div><div class="line"><span class="keywordflow">if</span>((handle == NULL) || (errCode != 0))</div><div class="line">{</div><div class="line">    Error: Unable to open mailbox channel 1 between DSS and MSS.</div><div class="line">}</div></div><!-- fragment --><h2>Writing a message</h2>
<p>Once the Mailbox Driver has been opened, the application can write a message to the remote endpoint using <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7e5cccca0cf69a3d7db72cb116318713" title="Function that writes data to a Mailbox. ">Mailbox_write</a>.</p>
<h2>Reading a message</h2>
<p>Once the Mailbox Driver has been opened, the application can read a message from the remote endpoint using <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1d1d54e6e305cd1523694e748edaded7" title="Function that reads data from a Mailbox. ">Mailbox_read</a> followed by <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0d25769fbce366f54005349726db58ea" title="Function that should be called after application is done reading the message. ">Mailbox_readFlush</a> after the message is fully read. </p>
</div></div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
